Bug 1194789 - [META] GCC 12 package failures
[META] GCC 12 package failures
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on: 1194790 1194791 1194815 1194828 1194830 1194831 1194875 1194876 1194877 1194962 1195219 1196545 1196546 1196583 1196587 1197018 1197584
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-17 14:47 UTC by Martin Liška
Modified: 2022-04-08 11:34 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2022-01-17 14:47:09 UTC
Meta issue that will track all packages that fail with gcc12 package.
Comment 1 Martin Liška 2022-01-18 09:41:18 UTC
The following package failures are handled by fvogt:

akonadi-calendar.log .:[   66s] /usr/include/KF5/mailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
akonadi-contact.log .:[   83s] /home/abuild/rpmbuild/BUILD/akonadi-contacts-21.12.1/src/contact-editor/abstractcontacteditorwidget_p.h:57:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
akonadi-import-wizard.log .:[   27s] /usr/include/KF5/mailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
akregator.log .:[   96s] /usr/include/KF5/webengineviewer/networkpluginurlinterceptor.h:27:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
eventviews.log .:[   26s] /home/abuild/rpmbuild/BUILD/eventviews-21.12.1/src/month/monthitem.h:226:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
incidenceeditor.log .:[   52s] /usr/include/KF5/KLDAP/kldap/ldapclientsearch.h:134:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kaddressbook.log .:[   97s] /usr/include/KF5/AkonadiWidgets/akonadi/collectionpropertiesdialog.h:116:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kdepim-addons.log .:[   99s] /usr/include/KF5/messageviewer/headerstyleplugin.h:36:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kdepim-runtime.log .:[  171s] /usr/include/KF5/mailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kidentitymanagement.log .:[   83s] /usr/include/KF5/KPIMTextEdit/kpimtextedit/richtextcomposerimages.h:99:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kldap.log .:[   51s] /home/abuild/rpmbuild/BUILD/kldap-21.12.1/src/widgets/ldapclientsearch.h:134:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kmail-account-wizard.log .:[   64s] /usr/include/KF5/mailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kmail.log .:[  186s] /usr/include/KF5/mailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kmailtransport.log .:[  128s] /home/abuild/rpmbuild/BUILD/kmailtransport-21.12.1/src/kmailtransport/transport.h:100:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
knotes.log .:[   53s] /home/abuild/rpmbuild/BUILD/knotes-21.12.1/build/noteshared/src/notesharedprivate_autogen/3YJK5W5UP7/../../../../../noteshared/src/resources/localresourcecreator.h:22:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
korganizer.log .:[   75s] /home/abuild/rpmbuild/BUILD/korganizer-21.12.1/build/korgac/korgac_autogen/EWIEGA46WW/../../../../korgac/alarmdialog.h:96:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
kpimtextedit.log .:[   49s] /home/abuild/rpmbuild/BUILD/kpimtextedit-21.12.1/src/texteditor/commonwidget/texteditfindbarbase.h:43:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
libksieve.log .:[   56s] /home/abuild/rpmbuild/BUILD/libksieve-21.12.1/src/ksieveui/widgets/abstractselectemaillineedit.h:28:13: [1m[31merror:[0m standard attributes in middle of decl-specifiers
mailcommon.log .:[  106s] /home/abuild/rpmbuild/BUILD/mailcommon-21.12.1/build/src/KF5MailCommon_autogen/5IVURQS6G4/../../../../src/collectionpage/collectionexpirywidget.h:44:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
messagelib.log .:[  124s] /home/abuild/rpmbuild/BUILD/messagelib-21.12.1/mimetreeparser/src/nodehelper.h:196:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
pimcommon.log .:[  213s] /usr/include/KF5/KLDAP/kldap/ldapclientsearch.h:134:12: [1m[31merror:[0m standard attributes in middle of decl-specifiers
Comment 2 Martin Liška 2022-01-27 13:09:49 UTC
xf86-video-vmware package bug:
https://gitlab.freedesktop.org/xorg/driver/xf86-video-vmware/-/issues/9
Comment 3 Martin Liška 2022-01-27 13:12:22 UTC
xwayland issue:
https://gitlab.freedesktop.org/xorg/xserver/-/issues/1256
Comment 4 Martin Liška 2022-01-27 13:37:36 UTC
Fix for fcoe-utils:
https://github.com/openSUSE/fcoe-utils/pull/22
Comment 5 Chenzi Cao 2022-01-30 08:40:16 UTC
Hi Martin, for tracing issues bugs, I assign to reporter to take care of it, please feel free to reassign whenever necessary, thanks.
Comment 6 Martin Liška 2022-02-28 10:13:51 UTC
Autogen issue:
https://sourceforge.net/p/autogen/bugs/211/
Comment 7 Martin Liška 2022-03-10 09:41:32 UTC
chromium fails with GCC 12 due to:
https://issuetracker.google.com/issues/223668065
Comment 8 Martin Liška 2022-03-24 08:46:17 UTC
All is fixed, we should be done.
Comment 9 Martin Liška 2022-03-25 13:26:05 UTC
There are new package failures.
Comment 10 Martin Liška 2022-03-25 13:42:26 UTC
libkleo will be fixed with:
https://invent.kde.org/pim/libkleo/-/merge_requests/15
Comment 11 Martin Liška 2022-03-25 15:05:06 UTC
(In reply to Martin Liška from comment #10)
> libkleo will be fixed with:
> https://invent.kde.org/pim/libkleo/-/merge_requests/15

Merged and on its way to Factory.
Comment 12 Martin Liška 2022-03-26 05:44:50 UTC
The following issue:
https://bugzilla.tianocore.org/show_bug.cgi?id=3816

is present in qemu and ovmf, right now we're going to disable the warning in the file.
Comment 13 Martin Liška 2022-04-01 14:24:43 UTC
Fixed again now.